function zz = click(slen,rndval)
% -------------------------------------------------------
% Creates Synthetic Click Signals  
%
% --------------------------------------------------------
% Author: Mijail Guillemard - 2010
% Copyright 2010 Mijail Guillemard
% This program is distributed under the terms of the GNU General Public License.
% --------------------------------------------------------

% for kk=1000:100:2000;

len = 128;

randn('state',rndval);

sg1 = [1:len]/len';

xx = 1:len;
x1 = 1:4:len;
y1 = randn(size(x1))/2;

yy = interp1(x1,y1,xx,'spline');
yy = yy.*hann(length(yy))';

% pp = polyfit(x1,y1,3);
% yy = polyval(pp,xx);

%% figure; plot(x1,y1);
%% figure; plot(xx,yy);

fyy = fft(yy); afyy = abs(fyy);
% figure; plot(afyy)

llen = 1*512; 
% llen = 1*256; 
% llen = 128; 
yy1 = zeros(1,llen);
pos = llen/4;
yy1(pos:pos+len-1) = yy;
yy = yy1;

zz = repmat(yy',1,ceil(slen/llen));
zz = zz(:);
% Fs = 44100; wavwrite(zz/5,Fs,['clicks' num2str(rndval) '.wav']);
