function trsed = isomapPlotting2(X,posColors)
% -------------------------------------------------------
%
%
% --------------------------------------------------------
% Author: Mijail Guillemard - 2010
% Copyright 2010 Mijail Guillemard
% This program is distributed under the terms of the GNU General Public License.
% --------------------------------------------------------

addpath('isomap');

% run isomap code
% ===============
% astft = buffer(sgnl,1024,2*128);
astft = X';
D = L2_distance(astft,astft,1);
% options.dims = 1:3; % options.display = 0;
options.dims = [3]; % options.display = 0;
% [Y, R, E] = IsomapII(D, 'epsilon', 30, options);
[Y, R, E] = IsomapII(D, 'k', 12, options);
% [Y, R, E] = Isomap(D, 'k', 8, options);
dimr = options.dims; twod = find(dimr==2);

threed = find(dimr==3);
ak = Y.coords{threed}(1,:); 
bk = Y.coords{threed}(2,:); 
ck = Y.coords{threed}(3,:); 

figure; 
plot3(ak(posColors),bk(posColors),ck(posColors),'.','Color',[1,0,0]);
posColorsDiff = setdiff(1:length(ak),posColors); hold on;
plot3(ak(posColorsDiff),bk(posColorsDiff),ck(posColorsDiff),'.','Color',[0,0,1]);  
grid on; rotate3d on; hold off; 

%% plot3(ak, bk, ck,'r.'); 
%% grid on; rotate3d on;
%% gplot3(E(Y.index, Y.index), [ak; bk; ck]'); grid on;
%% rotate3d on;

trsed = [ak;bk;ck];

fname = 'isomapPlotting2';
% disp(fname); keyboard; 