function d = boundary(C,k)

%BOUNDARY   boundary map of a simplicial complex
%   D = BOUNDARY(C, k) returns the matrix of the boundary map from k-cells
%   to (k-1)-cells in the simplicial complex C. The rows correspond to
%   (k-1)-cells and the columns correspond to k-cells.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]
