function x = chrank(C,k)

%CHRANK   'chain rank': how many k-simplices?
%   cr = CHRANK(C, k) returns the number of k-cells in the simplicial
%   complex C, where k is a non-negative integer.
%
%   CR = CHRANK(C) returns a vector containing the number of cells of each
%   dimension. The number of k-cells is returned in CR(k+1).
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]
