function sgnw = windowSignal(sgn,lenSize)
% -------------------------------------------------------
%
%
% --------------------------------------------------------
% Author: Mijail Guillemard - 2010
% Copyright 2010 Mijail Guillemard
% This program is distributed under the terms of the GNU General Public License.
% --------------------------------------------------------

% complete to lenSize
lenSgn = floor((lenSize - length(sgn))/2);
sgnw = zeros(1,lenSize);

sgnw(lenSgn:lenSgn+length(sgn)-1) = sgn;

f = lenSize; w = lenSize; 
halflen = floor((w-1)/2);
halff = floor(f/2);   % midpoint of win
acthalflen = min(halff, halflen);

halfwin = 0.5 * ( 1 + cos( pi * (0:halflen)/halflen));
win = zeros(1, f);
win((halff+1):(halff+acthalflen)) = halfwin(1:acthalflen);
win((halff+1):-1:(halff-acthalflen+2)) = halfwin(1:acthalflen);

% sgnw = transpose(sgnw.*win);
sgnw = transpose(sgnw);

