function zenter = centerCluster(sed)
% -------------------------------------------------------
%  computes the center of the cluster sed
%  this is a very trivial implementation - should be 
%  with something more accurate (e.g. persistence homology)
% --------------------------------------------------------
% Author: Mijail Guillemard - 2010
% Copyright 2010 Mijail Guillemard
% This program is distributed under the terms of the GNU General Public License.
% --------------------------------------------------------

dlad12 = L2_distance(sed,sed); 
sdlad12 = sum(dlad12);
[smin12, lmin12] = min(sdlad12);
zenter = sed(:,lmin12);
