#!/usr/bin/python
#------------------------------------------------------------------------------
# simple python script for using mtoc for all files in a directory
# author: Mijail Guillemard - April 2010
#------------------------------------------------------------------------------

import os
import re

texcodeGraphF = open("mcodeGraph.tex", "r")
texcodeGraph = texcodeGraphF.read()
texcodeGraphF.close()
pexp = re.compile('[\s,\S,\w,\W]begin[\s,\S,\w,\W]tikzpicture[\s,\S,\w,\W]*tikzpicture[\s,\S,\w,\W]')
# pexp = re.compile('\\\begin[\s,\S,\w,\W]tikzpicture[\s,\S,\w,\W]*tikzpicture[\s,\S,\w,\W]')
# pexp = re.compile('tikzpicture[\s,\S,\w,\W]*tikzpicture')
findString = pexp.findall(texcodeGraph)
texcodeGraphCleanF = open("mcodeGraphClean.tex", "w")
texcodeGraphCleanF.write(findString[0])
texcodeGraphCleanF.close()

os.popen("cp mcodeGraphClean.tex ../doc/ieee/")

## pe = re.compile("[\s,\S,\w,\W]{2}k")
## ju = 'kljsf\lk{jsf'
## pe.findall(ju)
## # result: ['\\lk']
