function map = colorgrad(Colors)
%%    colorgradient([0,0,1; 1,1,0; 1,0,0])  blue -> yellow -> red
%%    x = linspace(0,1,200);
%%    imagesc(x(:,ones(30,1)))';
%% cooledit: 
% map = colrgrag[0,0,0; 0.5,0,0.5; 1,0,0; 1,1,0; 1,1,1]);

n = 64;
w = ones(length(Colors)-1,1);

w = 1+round((n-1)*cumsum([0;w(:)])/sum(w));
map = zeros(n,3);
for i=1:length(w)-1;
  if (w(i) ~= w(i+1))
	 map(w(i):w(i+1),1) = linspace(Colors(i,1),Colors(i+1,1),w(i+1)-w(i)+1)';
	 map(w(i):w(i+1),2) = linspace(Colors(i,2),Colors(i+1,2),w(i+1)-w(i)+1)';
	 map(w(i):w(i+1),3) = linspace(Colors(i,3),Colors(i+1,3),w(i+1)-w(i)+1)';
  end
end

return;

map = colorgrad([0,0,0; 0.5,0,0.5; 1,0,0; 1,1,0; 1,1,1]);
colormap(map);

map = colorgrad([0,0,0; 0.5,0,0.5; 1,0,0; 1,1,0]);
colormap(map);
