function G = graph (C)

%GRAPH   graph of a simplical complex
%   G = GRAPH(C) returns the 1-skeleton graph of the simplicial complex C
%   as a sparse symmetric logical matrix. The entry G(i,j) equals 1 if and
%   only if C contains the edge between vertices i,j.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]

