function D = nbhood(C,u)

%NBHOOD   neighbourhood of a vertex set
%   C1 = NBHOOD(C, U) returns the complete subcomplex C1 of the simplicial
%   complex C. The vertex set of C1 consists of the vertices listed in
%   the vector U together with all their neighbours.
%
%   This is designed for use in conjunction with RELATIVE.
%
%   Please see RESTRICT, RELATIVE for details on how the vertex set is
%   specified by U.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]

