function C = plex(G)

%PLEX   plex object class constructor
%   C = PLEX(G) creates a simplicial complex object from a graph G
%   (represented as a 0-1 incidence matrix). The complex is initially
%   1-dimensional, but higher-dimensional cells may be induced using
%   EXPAND, or attached using ATTACH.
%
%   C = PLEX creates an empty simplicial complex, of dimension -1.
%
%   Type 'help Plex' for more information on the Plex library.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]

error('Please compile the MEX routines for Plex.')
