function D = relative(C,u)

%RELATIVE
%   D = RELATIVE(C, U) constructs a relative complex from the simplicial
%   complex C; cells whose vertices lie outside the set specified by U are
%   treated as nonexistent.
%
%   There several ways by which U specifies the vertex set.
%
%	-- list of vertices
%	-- logical array, referencing the vertex list of C
%	-- logical array, referencing the list [1; 2; ...; vmax]
%
%   See also RESTRICT, SKELETON.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]

