function D = restrict(C,v)

%RESTRICT
%   D = RESTRICT(C, U) constructs the complete subcomplex of C whose
%   vertices belong to the set specified by U.
%
%   There several ways by which specifies the vertex set.
%
%	-- list of vertices
%	-- logical array, referencing the vertex list of C
%	-- logical array, referencing the list [1; 2; ...; vmax]
%
%   See also RELATIVE, SKELETON.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]

