function V = vertices(C)

%VERTICES  Return the vertices of a simplicial complex.
%   V = VERTICES(C) returns the vertices of the simplicial complex C as a
%   vector of vertex labels in increasing order.
%
%   This is equivalent to V = SIMPLICES(C,0).
% 
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]

V = simplices(C,0);
