%Plex/metric
%
%Metric data toolbox.
%
%Data display
%   px_plot         - alternative to PLOT
%   px_plot3        - alternative to PLOT3
%   px_colorplot    - RGB plotting in 2D
%   px_colorplot3   - RGB plotting in 3D
%   px_viewgraph    - display graph
%
%Metric geometry
%   px_euclid       - Euclidean distances
%   px_euclid2      - squared Euclidean distances
%   px_metric       - L^p distances
%   px_codensity    - exact and approximate codensity function
%                     [from code by David Mount and Sunil Arya]       
%   px_barycenter   - compute barycenter
%   px_alpharadius  - smallest ball radius
%   px_betaradius   - interior smallest ball radius
%
%Subsampling
%   px_landmarkd    - select landmark points
%   px_maxmin       - select landmark points (alternative)
%
%Simplicial complexes
%   px_cech         - Cech complex
%   px_rips         - Rips complex
%   px_witnessnu    - normalised witness complex
%   px_weak         - weak witness complex
%   px_strong       - strong witness complex
%
%Miscellaneous
%   px_mouse        - generate data by mouse-click
%   px_prune        - remove free edges of a graph
%
%Type 'help Plex' for information on Plex.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]

