function px_plexgc ()

% PX_PLEXGC -- garbage collector for Plex
% 
%   This runs the Plex garbage collector, freeing up memory in unused
%   simplicial complexes The function should only be run from the base
%   workspace.
%
%   IMPORTANT NOTE: running PLEXGC will clear all persistent plex objects,
%   even if the m-files defining them are locked.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]

% $Id: px_plexgc.m,v 1.1.1.1 2005/03/18 23:36:44 silva Exp $
% $Log: px_plexgc.m,v $
% Revision 1.1.1.1  2005/03/18 23:36:44  silva
% Imported Sources
%
% Revision 1.3  2004/10/22 01:28:13  silva
%
% Improving help-text and adding tags.
%
% Revision 1.2  2004/09/28 23:40:02  patperry
% Added plexmanager and fixed gc
%
% Revision 1.1.1.1  2004/09/25 22:04:09  patperry
% Imported sources
%
% Revision 1.2  2004/09/16 00:29:56  silva
% Tidying up the help text.
%
% Revision 1.1  2004/06/28 22:03:47  patperry
% Added Plex Garbage Collector
%
