

% =================================================
%% %% visualizing the effects of moebius transformations
%% %% 
%% [mbt imbt] = moebiusTransform(z1,e1);
%% 
%% [mbt imbt] = moebiusTransform(z1,z1);
%% 
%% %% % select only a required sample
%% hps = fftSize/4;
%% sed11 = sed1(:,1:(hps/hopSize):end);
%% sed22 = sed2(:,1:(hps/hopSize):end);
%% 
%% sedm1 = mtransformPCD(sed11,mbt); 
%% sedm2 = mtransformPCD(sed22,mbt); 
%% projectPCD(sedm1,sedm2);
%% pcaAnalysis3(sedm1',sedm1',sedm2',ncolorsArray);
%% 
%% %% pcaAnalysis3(sed11',sed11',sed22',ncolorsArray);
%% %% pcaAnalysis3(sed1',sed1',sed2',ncolorsArray);
%% 
%% sedm1 = mtransformPCD(sed1,mbt); 
%% sedm2 = mtransformPCD(sed2,mbt); 
%% projectPCD(sedm1,sedm2);
%% 
%% pcaAnalysis3(sedm1',sedm1',sedm2',ncolorsArray);

sedm1 = mtransformPCD(sed1c,mbt); 
sedm2 = mtransformPCD(sed2c,mbt); 
projectPCD(sedm1,sedm2);
projectPCD(sed1c,sed2c);

sedm1 = mtransformPCD(sed1,mbt); 
sedm2 = mtransformPCD(sed2,mbt); 
projectPCD(sedm1,sedm2);


% =================================================
% behaviour of moebius transforms with fixed points 

dd = 6; Nn = 1000;
zz = 2*(rand(dd,Nn)-0.5);
normm = power(sum(zz.*zz),0.5);
zz = zz./(ones(dd,1)*normm)/4;

cent = -1;
z1 = cent*ones(dd,1);
c1 = -3*ones(dd,1);
pc1 = zz + repmat(c1,1,Nn);

fact = -1;
z2 = fact*z1; 
c2 = 3*ones(dd,1);
pc2 = zz + repmat(c2,1,Nn);

[mbt imbt] = moebiusTransform2(z1,fact);
sedm1 = mtransformPCD(pc1,mbt); 
sedm2 = mtransformPCD(pc2,mbt); 
projectPCD(sedm1,sedm2);

projectPCD(pc1,pc2);

for k = 1:3;
  sedm1 = mtransformPCD(sedm1,mbt); 
  sedm2 = mtransformPCD(sedm2,mbt); 
end;
projectPCD(sedm1,sedm2);


disp('sf233'); keyboard; 