
close all; clear all;

z1 = 1.2+0.3*i; z2 = 1.5+2*i; z3 = 0; % z2 = 0.5+1*i;
e1 = 1;         e2 = i;       e3 = 0;

z1 = -1.4+0.5*i; z2 = -0.4+0.7*i;  z3 = 1; 
e1 = 0.7*i;      e2 = 0.5+0.7*i;      e3 = 1;

z1 = -1;  z2 = 0;   z3 = 1; 
e1 = -1;  e2 = 0.1; e3 = 1;

z12 = z1+z2;

aa = e3*(e1-e2)*(z2-z3)     + e1*(e2-e3)*(z2-z1);
bb = z1*(z3-z2)*e3*(e1-e2)  + z3*(z1-z2)*e1*(e2-e3);
cc = (e1-e2)*(z2-z3)        + (z2-z1)*(e2-e3);
dd = z1*(z3-z2)*(e1-e2)     + z3*(z1-z2)*(e2-e3);
delta = aa*dd-bb*cc;
aa = aa/delta; bb = bb/delta; cc = cc/delta; dd = dd/delta;
trac = (aa+dd)^2; 

fx1 = ((aa-dd) + sqrt((aa-dd)^2+4*bb*cc))/(2*cc);
fx2 = ((aa-dd) - sqrt((aa-dd)^2+4*bb*cc))/(2*cc);
fxx = [fx1,fx2]; fxr = zeros(size(real(fxx)));

zz = [-1,-0.5,0.1] + i*[0.5,0.2,0.7];
% zz = [z1,z2,z12];

% zz = z1;
fzz = (aa*zz + bb)./(cc*zz+dd);
fzr = zeros(size(real(fzz)));

zk = i*imag(fzz(3));
fzi = (dd*zk - bb)./(-cc*zk+aa);
fzir = zeros(size(real(fzi)));

figure; 
plot3(real(fxx),imag(fxx),fxr,'*r'); hold on;
% plot3(real(fzi),imag(fzi),fzir,'*b'); hold on;
plot3(real(zz),imag(zz),fzr,'r'); hold on;
plot3(real(fzz),imag(fzz),fzr,'b'); grid on; rotate3d on;

disp('f3'); keyboard; 

alpha = [0:0.01:10];
pc1 = alpha * z2;
fpc1  = (aa*pc1 + bb)./(cc*pc1+dd);
ifpc1 = (dd*fpc1 - bb)./(-cc*fpc1+aa);
fzir = zeros(size(real(fpc1)));
figure; 
plot3(real(pc1),imag(pc1),fzir,'-r'); hold on;
plot3(real(fpc1),imag(fpc1),fzir,'-g'); hold on;
plot3(real(ifpc1),imag(ifpc1),fzir,'-b'); grid on; rotate3d on;


disp('f33'); keyboard; 

% effects on the pcd

dd = 2; Nn = 100;
zk = 2*(rand(dd,Nn)-0.5);
normm = power(sum(zk.*zk),0.5);
zk = zk./(ones(dd,1)*normm)/4;

keyboard;

c1 = [real(fx1) imag(fx1)]+[0.2+0.3]; c1 = c1';
pc1 = zk + repmat(c1,1,Nn);
pc1c = pc1(1,:) + i*pc1(2,:);

fzz = (aa*pc1c + bb)./(cc*pc1c+dd);
fzr = zeros(size(real(fzz)));

figure; 
plot3(real(pc1c),imag(pc1c),fzr,'.r'); hold on;
plot3(real(fzz),imag(fzz),fzr,'.b'); grid on; rotate3d on;

disp('sdf33'); keyboard; 

